perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Peters <mpet...@plusthree.com>
Subject Re: Problems with DBI & modperl on Irix 6.5
Date Tue, 05 Jul 2005 15:01:05 GMT
Robert Aspinall wrote:
> Hello,
> 
> I'm running modperl 1.29 on Apache 1.3.31 with Perl 5.8.2, running on
> Irix 6.5.25m.
> 
> When I try to use the Apache::DBI module, I get the following
> 
> 
> Can't load
> '/opt/perl-5.8.2/lib/site_perl/5.8.2/IP27-irix/auto/DBI/DBI.so' for
> module DBI: 71121247:/var/sgi_apache/server/sbin/httpd: rld: Fatal
> Error: unresolvable symbol in
> /opt/perl-5.8.2/lib/site_perl/5.8.2/IP27-irix/auto/DBI/DBI.so:
> PL_curstackinfo at /opt/perl-5.8.2/lib/5.8.2/IP27-irix/DynaLoader.pm
> line 229.\n at /opt/perl-5.8.2/lib/site_perl/5.8.2/IP27-irix/DBI.pm line
> 252\nBEGIN failed--compilation aborted at
> /opt/perl-5.8.2/lib/site_perl/5.8.2/IP27-irix/DBI.pm line 252.
> Compilation failed in require at
> /opt/perl-5.8.2/lib/site_perl/5.8.2/Apache/DBI.pm line 7.
> BEGIN failed--compilation aborted at
> /opt/perl-5.8.2/lib/site_perl/5.8.2/Apache/DBI.pm line 7.

Do you have DBI successfully installed? Are you using the latest version
of Apache::DBI (0.94)? I know that they are currently working on the
next release, but I think all of the issues in that case are with
mod_perl2 so they shouldn't affect what you're trying to do.


-- 
Michael Peters
Developer
Plus Three, LP


Mime
View raw message